/* $Id: SetCurrentDirectoryAction.java 217 2011-06-10 00:53:06Z ohura $ */
package smart_gs.menu.action;

import java.awt.event.ActionListener;

import smart_gs.logical.Preference;
import smart_gs.menu.DirectorySettingWindow;
/**
 * ファイルを展開するときと保存するときに最初にいるディレクトリを変更する。
 * @author Administrator
 *
 */
public class SetCurrentDirectoryAction extends SetDirectoryPathAction {

	//2007/10/10 kazuhiro kobayashi
//	protected String dialogTitle = "現在のディレクトリの設定";
	public SetCurrentDirectoryAction(){
		chooser.setDialogTitle("現在のディレクトリの設定");
//		this.dialogTitle = "現在のディレクトリの設定";
	}
	//2007/10/10 kazuhrio kobayashi
	protected String getOldPath(){
		return Preference.getInstance().getGsFolderPathString();
	}
	protected void validateNewPath(String newPath){
//		Preference.getInstance().setGsFolderPath(newPath);
		DirectorySettingWindow.getInstance().setGsTextField(newPath);
	}
	

}
